#
# This is an example two disk system with two volgroups and lvm partitions
# This fits in 20G / 10G disks for testing purposes, respectively.
#
# No images are specified.
#
disks:
  - name: firstdisk
    path: /dev/sda
    ptable: gpt
    grub_device: true
    wipe: true
    partitions:
      - name: bootpart
        size: 1G
        fs:
          name: bootfs
          fstype: xfs
          resize: true
          mount: /boot
      - name: efipart
        size: 1G
        fs:
          name: efi
          fstype: vfat
          resize: true
          mount: /boot/EFI
      - name: vg0part
        size: REST

vgs:
  - name: vg0
    pvs:
      - vg0part
    lvs:
      - name: root_lv
        size: 3G
        fs:
          name: root_fs
          fstype: xfs
          mount: /
          resize: true
      - name: var_lv
        size: 3G
        fs:
          name: var_fs
          fstype: xfs
          mount: /var
          resize: true
      - name: swap_lv
        size: 2G
        fs:
          name: swap_fs
          fstype: swap
          resize: true
